Origin: upstream, http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=618857
Description: If NiceValue was set, the default with no
  AssignUserID was to run as root:root instead of the default Apache
  user and group, due to the configuration merger having an incorrect
  default configuration.

CVE-2011-1176

diff -u httpd-2.2.11/server/mpm/experimental/itk/itk.c httpd-2.2.11/server/mpm/experimental/itk/itk.c
--- httpd-2.2.11/server/mpm/experimental/itk/itk.c	2009-04-14 23:31:05.000000000 +0200
+++ httpd-2.2.11/server/mpm/experimental/itk/itk.c	2009-04-14 23:31:05.000000000 +0200
@@ -1698,7 +1698,7 @@
 static void *itk_merge_dir_config(apr_pool_t *p, void *parent_ptr, void *child_ptr)
 {
     itk_per_dir_conf *c = (itk_per_dir_conf *)
-        apr_pcalloc(p, sizeof(itk_per_dir_conf));
+        itk_create_dir_config(p, NULL);
     itk_per_dir_conf *parent = (itk_per_dir_conf *) parent_ptr;
     itk_per_dir_conf *child = (itk_per_dir_conf *) child_ptr;
 
